lu_map_.hpp File Reference

Go to the source code of this file.

## Classes

class | __gnu_pbds::detail::lu_map< Key, Mapped, Eq_Fn, _Alloc, Update_Policy >

## Namespaces

namespace | __gnu_pbds

## Macros

#define | PB_DS_CLASS_C_DEC
#define | PB_DS_CLASS_T_DEC
#define | PB_DS_GEN_POS
#define | PB_DS_LU_NAME
#define | PB_DS_LU_TRAITS_BASE

## Variables

template<typename Key, typename Mapped, typename Eq_Fn, typename _Alloc, typename Update_Policy>
lu_map< Key, Mapped, Eq_Fn, _Alloc, Update_Policy >::entry_allocator | __gnu_pbds::detail::lu_map< Key, Mapped, Eq_Fn, _Alloc, Update_Policy >::s_entry_allocator
template<typename Key, typename Mapped, typename Eq_Fn, typename _Alloc, typename Update_Policy>
Eq_Fn | __gnu_pbds::detail::lu_map< Key, Mapped, Eq_Fn, _Alloc, Update_Policy >::s_eq_fn
template<typename Key, typename Mapped, typename Eq_Fn, typename _Alloc, typename Update_Policy>
type_to_type< typename lu_map< Key, Mapped, Eq_Fn, _Alloc, Update_Policy >::update_metadata > | __gnu_pbds::detail::lu_map< Key, Mapped, Eq_Fn, _Alloc, Update_Policy >::s_metadata_type_indicator
template<typename Key, typename Mapped, typename Eq_Fn, typename _Alloc, typename Update_Policy>
null_type | __gnu_pbds::detail::lu_map< Key, Mapped, Eq_Fn, _Alloc, Update_Policy >::s_null_type
template<typename Key, typename Mapped, typename Eq_Fn, typename _Alloc, typename Update_Policy>
Update_Policy | __gnu_pbds::detail::lu_map< Key, Mapped, Eq_Fn, _Alloc, Update_Policy >::s_update_policy

## Detailed Description

Contains a list update map.

Definition in file lu_map_.hpp.

## Macro Definition Documentation

## PB_DS_CLASS_C_DEC

#define PB_DS_CLASS_C_DEC

Definition at line 72 of file lu_map_.hpp.

## PB_DS_CLASS_T_DEC

#define PB_DS_CLASS_T_DEC

Definition at line 68 of file lu_map_.hpp.

## PB_DS_GEN_POS

#define PB_DS_GEN_POS

Definition at line 124 of file lu_map_.hpp.

## PB_DS_LU_NAME

#define PB_DS_LU_NAME

Definition at line 61 of file lu_map_.hpp.

## PB_DS_LU_TRAITS_BASE

#define PB_DS_LU_TRAITS_BASE

Definition at line 75 of file lu_map_.hpp.

## Variable Documentation

## lu_map< Key, Mapped, Eq_Fn, _Alloc, Update_Policy >::s_entry_allocator

template<typename Key, typename Mapped, typename Eq_Fn, typename _Alloc, typename Update_Policy>

lu_map<Key,Mapped,Eq_Fn,_Alloc,Update_Policy>::entry_allocator __gnu_pbds::detail::lu_map< Key, Mapped, Eq_Fn, _Alloc, Update_Policy >::s_entry_allocator

Definition at line 45 of file lu_map_.hpp.

## lu_map< Key, Mapped, Eq_Fn, _Alloc, Update_Policy >::s_eq_fn

template<typename Key, typename Mapped, typename Eq_Fn, typename _Alloc, typename Update_Policy>

Eq_Fn __gnu_pbds::detail::lu_map< Key, Mapped, Eq_Fn, _Alloc, Update_Policy >::s_eq_fn

Definition at line 48 of file lu_map_.hpp.

## lu_map< Key, Mapped, Eq_Fn, _Alloc, Update_Policy >::s_metadata_type_indicator

template<typename Key, typename Mapped, typename Eq_Fn, typename _Alloc, typename Update_Policy>

type_to_type< typename lu_map <Key, Mapped, Eq_Fn, _Alloc, Update_Policy>::update_metadata> __gnu_pbds::detail::lu_map< Key, Mapped, Eq_Fn, _Alloc, Update_Policy >::s_metadata_type_indicator

Definition at line 58 of file lu_map_.hpp.

## lu_map< Key, Mapped, Eq_Fn, _Alloc, Update_Policy >::s_null_type

template<typename Key, typename Mapped, typename Eq_Fn, typename _Alloc, typename Update_Policy>

null_type __gnu_pbds::detail::lu_map< Key, Mapped, Eq_Fn, _Alloc, Update_Policy >::s_null_type

Definition at line 51 of file lu_map_.hpp.

## lu_map< Key, Mapped, Eq_Fn, _Alloc, Update_Policy >::s_update_policy

template<typename Key, typename Mapped, typename Eq_Fn, typename _Alloc, typename Update_Policy>

Update_Policy __gnu_pbds::detail::lu_map< Key, Mapped, Eq_Fn, _Alloc, Update_Policy >::s_update_policy

Definition at line 54 of file lu_map_.hpp.